Bug 215269 - Write the /local/domain//vm node early in the startup process.
Write the /local/domain//vm node early in the startup process.
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Rik van Riel
Depends On:
  Show dependency treegraph
Reported: 2006-11-13 00:26 EST by Atsushi SAKAI
Modified: 2010-10-22 02:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-26 15:00:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Atsushi SAKAI 2006-11-13 00:26:18 EST
Description of problem:

Write the /local/domain/<domid>/vm node early in the startup process
(immediately after the domain is created).  QEMU needs this in place when it
starts up, in order to find the VNC password.
If it does not exists,  DomHVM reboots  failed.

Version-Release number of selected component (if applicable):

How reproducible:

1 (of 4 try)

Steps to Reproduce:

  1) Assign multiple vcpu to Dom0
    i.e. "dom0_vcpu_pin dom0_max_vcpus=4"
    2) Create DomHVM
    xm create xxxx
    3) DomHVM reboots after 20 seconds.
    xm reboot DomID
    4)Confirm DomHVM reboots or not.
    xm list
    5)check qemu-dm is defunct or not by ps command
     check "xs_read(): uuid get error" in /var/log/xend/qemu-dm's log

Actual results:

qemu-dm process defunct some times.(1 of 4times try)

Expected results:

DomHVM reboots successfully.

Additional info:
This patch is already includes in Xen-unstable:12312
Comment 1 Larry Troan 2006-11-14 11:09:52 EST
Per issue tracker 106713, this apears to be Xen-IPF only.
Comment 2 Atsushi SAKAI 2006-11-14 22:23:31 EST
This bug is related to x86 and IPF.
But our concern is Xen-IPF only
Comment 3 RHEL Product and Program Management 2006-11-15 10:00:44 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 4 Larry Troan 2006-11-20 13:55:01 EST
Per discussion with Prarit and Aron,
Bug 215269: 
> >   Status-NEW, patch available 
(mundane python script change) per problem description above.
Should be in RHEL5.0 before RC.

Aron please ACK for devel; QA please ACK/NAK
Comment 5 Jay Turner 2006-11-20 16:12:05 EST
QE ack for RHEL5.
Comment 6 Rik van Riel 2006-11-20 17:29:17 EST
Posted the patch for review.
Comment 7 Larry Troan 2006-12-03 21:34:48 EST
Escalating for RHEL5.0 consideration per Thursday's RHEL5 meeting.
Comment 9 Rik van Riel 2007-01-19 11:02:01 EST
in 3.0.3-20.el5
Comment 10 Jay Turner 2007-01-26 15:00:12 EST
xen-3.0.3-22.el5 included in 20070125.1.  Closing out.

Note You need to log in before you can comment on or make changes to this bug.